# List Organizational Unit Members

Returns a list of all members of an Organizational Unit.

Authentication is with either:

- the `client_secret` of an [Internal Application](https://docs.cronofy.com/developers/application-management/internal-applications/index.md) linked to the Organizational Unit, passed as the `API_KEY` in the `Bearer` `Authorization` header.

- an OAuth `access_token` for the Organizational Unit, created by taking a full application through the [Organization Connect authorization flow](https://docs.cronofy.com/api-reference/authorization/organization-connect/request-authorization/index.md), passed as the `Bearer` token.

See [Authentication](https://docs.cronofy.com/api-reference/authorization/authentication/index.md) for more details.

### URL format
```
{data_center_url}/v1/organizational_unit_members
```

### Example Request
```http
GET /v1/organizational_unit_members HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN or API_KEY}
```

### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
    "organizational_unit_members": [
        {
            "sub": "acc_61815034636bd5c5ce4edd0d",
            "email": "marty@evenitron.com",
            "roles": [
                "owner"
            ],
            "scheduler": {
                "enabled": true,
                "public_url": null
            }
        },
        {
            "sub": "acc_61815038636bd5c5ce4edd14",
            "email": "doc@evenitron.com",
            "roles": [
                "member"
            ],
            "scheduler": {
                "enabled": true,
                "public_url": "https://app.cronofy.com/pls/Eetyjuy0"
            }
        }
    ],
    "pages": {
        "current": 1,
        "total": 1
    }
}
```

### Request Parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](https://docs.cronofy.com/developers/data-centers/index.md).
### Response parameters
##### `organizational_unit_members.sub`

This specifies the internal Cronofy ID for the Account, as an ASCII-only [`String`](https://docs.cronofy.com/api-reference/fundamentals/data-types/index.md).

##### `organizational_unit_members.email`

The primary email address for the Account.

##### `organizational_unit_members.roles`

An array of [`String`](https://docs.cronofy.com/api-reference/fundamentals/data-types/index.md) values indicating the roles that the member has within the Organizational Unit.

Current possible values

- `member`

- `developer`

- `developer_admin`

- `owner`

##### `organizational_unit_members.scheduler.enabled`

[`Boolean`](https://docs.cronofy.com/api-reference/fundamentals/data-types/index.md) indicating whether the Account has the Scheduler enabled for this Organizational Unit.

##### `organizational_unit_members.scheduler.public_url`

URL [`String`](https://docs.cronofy.com/api-reference/fundamentals/data-types/index.md) for the Account's public Scheduler link.

This is `null` when the Account doesn't have a public Scheduler link enabled.



---
[Read in HTML](https://docs.cronofy.com/api-reference/authorization/organization-connect/list-members/)